Package com.io7m.smfj.format.xml.internal

## Class SMFXIgnoring

- java.lang.Object
- - com.io7m.smfj.format.xml.internal.SMFXIgnoring

- All Implemented Interfaces:
    `com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​SMFVoid>`

      public final class SMFXIgnoring
      extends java.lang.Object
      implements com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​SMFVoid>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SMFXIgnoring​(com.io7m.blackthorne.api.BTElementParsingContextType context)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SMFVoid` | `onElementFinished​(com.io7m.blackthorne.api.BTElementParsingContextType context)` |
    `com.io7m.blackthorne.api.BTIgnoreUnrecognizedElements` | `onShouldIgnoreUnrecognizedElements​(com.io7m.blackthorne.api.BTElementParsingContextType context)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.io7m.blackthorne.api.BTElementHandlerType

      `map, name, onCharacters, onChildHandlersRequested, onChildValueProduced, onElementStart`

- - ### Constructor Detail

    - #### SMFXIgnoring

          public SMFXIgnoring​(com.io7m.blackthorne.api.BTElementParsingContextType context)

  - ### Method Detail

    - #### onShouldIgnoreUnrecognizedElements

          public com.io7m.blackthorne.api.BTIgnoreUnrecognizedElements onShouldIgnoreUnrecognizedElements​(com.io7m.blackthorne.api.BTElementParsingContextType context)

      Specified by:
        `onShouldIgnoreUnrecognizedElements` in interface `com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​SMFVoid>`

    - #### onElementFinished

          public SMFVoid onElementFinished​(com.io7m.blackthorne.api.BTElementParsingContextType context)

      Specified by:
        `onElementFinished` in interface `com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​SMFVoid>`